# Generated from jsonwalk-1.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jsonwalk

Name: rubygem-%{gem_name}
Version: 1.1.3
Release: 1%{?dist}
Summary: Recursively walk into a json structure
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Provides function to retrieve leaves values into a json tree. Selection and
backward moves are provided. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/jsonwalk-1.1.0.gem
%{gem_instdir}/jsonwalk-1.1.1.gem
%{gem_instdir}/jsonwalk-1.1.2.gem
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.gemspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/jsonwalk.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.1.3-1
- Initial package
